GET checks/config?checktype={checktype}
Gets configuration of all checks. Supported check types: DAC, URLv2 and Chrome Browser Checks.
URL Parameters
| Name | Description |
|---|---|
| checktype | (Optional) The following values are applicable: url, fpr and dac |
Remarks
The example response shown below is for check type url-v2. This may vary for different check types.Request example
curl --request GET "https://api-asm1.apica.io/v3/checks/config?checktype={"{"}checktype{"}"}&auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
{
"Timeout": 1,
"ConnectionTimeout": 1,
"url": "https://cldemo.apica.io/",{"\n"}{" "}"content_pattern_type": "literal",
"content_pattern": "ok",
"content_pattern_case_sensitive": false,
"request_method": "GET",
"post_data": "{ "check_id": 12345}",
"custom_hdrs": {
"X-check-id": "12345",
"X-private-req": "true"
},
"max_redirects": 3,
"disable_certificate_verification": true,
"authentication": {
"type": "none",
"username": "user",
"password": "pass"
},
"proxy": {
"type": "socks4",
"host": "10.211.55.4",
"port": "1080",
"auth_type": "none",
"username": "user",
"password": "pass"
},
"VerifyPort": "sample string 1",
"Enabled": 1,
"AcceptedCodes": "sample string 2",
"CodeSev": "sample string 3",
"ReqHdrs": true,
"RspHdrs": true,
"IncludeResponseBody": true,
"SecureProtocolVersion": "sample string 4",
"Http2": true,
"fail_over": true,
"name": "Test check",
"description": "It is a test check.",
"monitor_groups_ids": [
34,
35,
36
],
"interval_seconds": 3600,
"interval_manual": true,
"max_attempts": 3,
"attempt_pause": 30000,
"location_code": "b8dce6d7-2222-1111-92e9-4a98eb706b13|europe.northern-europe.se.na.stockholm.ipv6-aaaaa|chromium|87",
"secondary_location_codes": null,
"check_fail_severity": "F",
"threshold_w": 15000,
"threshold_w_set_0": true,
"threshold_w_dynamic": {
"baseline_measure": "avg",
"baseline_period_h": 2,
"factor": 2.0,
"offset": 0
},
"threshold_e": 25000,
"threshold_e_set_0": false,
"threshold_e_dynamic": {
"baseline_measure": "avg",
"baseline_period_h": 2,
"factor": 2.0,
"offset": 0
},
"threshold_lo_w": 5000,
"threshold_lo_w_set_0": true,
"threshold_lo_w_dynamic": {
"baseline_measure": "avg",
"baseline_period_h": 2,
"factor": 2.0,
"offset": 0
},
"threshold_lo_e": 10000,
"threshold_lo_e_set_0": false,
"threshold_lo_e_dynamic": {
"baseline_measure": "avg",
"baseline_period_h": 2,
"factor": 2.0,
"offset": 0
},
"tags": [
1,
2,
3
],
"scheduled_inclusion": "mon-fri: 21:30-22; sun:15-17; 0-1:12-18; 2012-04-01-2012-04-30:18-23",
"scheduled_exclusion": "mon-fri: 21:30-22; sun:15-17; 0-1:12-18; 2012-04-01-2012-04-30:18-23",
"target_sla": 0.9,
"target_sla_2": 0.9,
"verify_ping": "fast.com",
"CheckID": 6,
"CheckGUID": "635e945a-0b1b-49e6-aabe-bb1cec07f8b0"
}
| Name | Type | Description |
|---|---|---|
| url | String | URL. |
| content_pattern_type | String | Response Content Verification Type. Available values: 'literal', 'regex'. Regex performs matching against the content with Regular Expressions. Literal matches using a basic string. |
| content_pattern | String | Content pattern. |
| content_pattern_case_sensitive | Boolean | Case sensitive content pattern. Enabling this option will make the Response Content Verification Pattern case sensitive. |
| request_method | String | HTTP request method. |
| post_data | String | Data for POST request. |
| custom_hdrs | Object | Request headers. |
| max_redirects | Integer | Maximum number of redirects. |
| disable_certificate_verification | Boolean | Disable Certificate Verification. |
| authentication | Object | Authentication data. |
| type | String | Authentication type. Available values: 'none', 'basic'. |
| username | String | Username. |
| password | String | Password. |
| proxy | Object | Proxy data. |
| type | String | Proxy type. Available values: 'none', 'http', 'socks4', 'socks5'. |
| host | String | Proxy (DNS) hostname or TCP/IP address. |
| port | String | Proxy TCP/IP port number. |
| auth_type | String | Proxy authentication type. Available values: 'none', 'basic', 'digest'. |
| username | String | Proxy authentication username. |
| password | String | Proxy authentication password. |
| VerifyPort | String | Verify port. |
| Enabled | Integer | Enabled. Default value is 1. |
| AcceptedCodes | String | Accepted codes. Default value is 200. |
| CodeSev | String | Code severity. Default value is F. |
| ReqHdrs | Boolean | Store Request Headers. Default value is true. |
| RspHdrs | Boolean | Store Response Headers. Default value is true. |
| SecureProtocolVersion | String | Secure protocol version. Available values: 'default', 'sslv3', 'tlsv1' |
| Http2 | Boolean | Enable HTTP2. |
| CheckType | Object | No documentation available. |
| value__ | Integer | No documentation available. |
| fail_over | Boolean | With Failover enabled the check will be executed on a second location if the result is not OK (Information). Only one attempt will be made from the failover location. |
| name | String | The name of the check. |
| description | String | The check description. |
| monitor_groups_ids | Array | ID of monitor groups in which a check will be included. |
| interval_seconds | Integer | Check run interval in seconds. |
| interval_manual | Boolean | The flag indicating whether check runmode is manual or interval. |
| max_attempts | Integer | The max number of attempts that can be made to verify the results. This setting applies to the primary location only, not any failover locations. Available values: from 1 to 5. |
| attempt_pause | Integer | Between every attempt there will be an Attempt Pause before the next attempt is performed. Milliseconds. Available values : 0, 50, 100, 200, 500, 1000, 2000, 3000, 5000, 10000, 20000, 30000, 60000. |
| location_code | String | The check run location. |
| secondary_location_codes | Array | Currently not supported. |
| check_fail_severity | String | This will be the Severity that the check will get if it fails. This can be used to trigger a different Severity (and at the end, different alerts). I - Information, W - Warning, E - Error, F - Fatal. Default is F. |
| threshold_w | Integer | The value of high warning threshold. If not specified then no threshold. |
| threshold_w_set_0 | Boolean | The flag indicating whether or not the high warning threshold should be set to 0. |
| threshold_w_dynamic | Object | The object for configuring dynamic calculation of high warning threshold. If not specified then no dynamic calculation. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_e | Integer | The value of high error threshold. If not specified then no threshold. |
| threshold_e_set_0 | Boolean | The flag indicating whether or not the high error threshold should be set to 0. |
| threshold_e_dynamic | Object | The object for configuring dynamic calculation of high error threshold. If not specified then no dynamic calculation. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_lo_w | Integer | The value of low warning threshold. If not specified then no threshold. |
| threshold_lo_w_set_0 | Boolean | The flag indicating whether or not the low warning threshold should be set to 0. |
| threshold_lo_w_dynamic | Object | The object for configuring dynamic calculation of low warning threshold. If not specified then no dynamic calculation. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| threshold_lo_e | Integer | The value of low error threshold. If not specified then no threshold. |
| threshold_lo_e_set_0 | Boolean | The flag indicating whether or not the low error threshold should be set to 0. |
| threshold_lo_e_dynamic | Object | The object for configuring dynamic calculation of low error threshold. If not specified then no dynamic calculation. |
| baseline_measure | String | The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'. |
| baseline_period_h | Integer | The period in hours for calculation depending on the specified baseline. |
| factor | Float | The percentage of the average/median return value or standard deviation of the return value. |
| offset | Integer | The period's offset in hours. |
| tags | Array | List of tag IDs. |
| scheduled_inclusion | String | Inclusion Periods (Default: always). |
| scheduled_exclusion | String | Exclusion Periods (Default: none). |
| target_sla | Float | Sets a 1st Target SLA in percentage e.g. 99.5 or 99. This is used in certain types reports. Set 0 to reset the value. |
| target_sla_2 | Float | Sets a 2nd Target SLA in percentage e.g. 99.5 or 99. This is used in certain types reports. Set 0 to reset the value. |
| verify_ping | String | After a failed result, verify connection against this hostname with a ping request. |
| CheckID | Integer | No documentation available. |
| CheckGUID | Guid | No documentation available. |
| Timeout | Integer | Timeout. Default value is 45. |
| ConnectionTimeout | Integer | Connection timeout. Default value is 10. |